<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Pose.html">Pose</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Pose Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#a3d1113ada247586b91465b3e1a02eb67">_getHardwareVertexBuffer</a>(const VertexData *origData) const </td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#ae61acae74c70fb3646902ce5f04ee3e7">addVertex</a>(size_t index, const Vector3 &amp;offset)</td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#af88898dd4ae88f28fe8815137a308c51">addVertex</a>(size_t index, const Vector3 &amp;offset, const Vector3 &amp;normal)</td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#aac73c679713e93a8dad3dfed46038809">clearVertices</a>(void)</td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#a153cee4b0f92d630006125ea2d17e9ee">clone</a>(void) const </td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#a537dcec01c2cc2f8021e4c89aa9fdde9">ConstNormalsIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#ab7830f6ad3feaf3740a8e6477d97cef5">ConstVertexOffsetIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#a32721dacadc6b0dfbef78318b3a41929">getIncludesNormals</a>() const </td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#a73c497f062296a446298258d3b500e86">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#a56c3f18962e02907fff9eba2c196250c">getNormals</a>(void) const </td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#aeafa497d9f16d22f6d8782c375e85b7e">getNormalsIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#ab72ff022a57f41a11e33edd782089382">getNormalsIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#a8c18792868f8165a19ef645b9395a20b">getTarget</a>(void) const </td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#aaf66be533fd63dff6be363d573ae6740">getVertexOffsetIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#a0f6ceaf2411fe3b8e63652b4a182ca35">getVertexOffsetIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#a7216f1dac1bd9e0bec03160d2929248a">getVertexOffsets</a>(void) const </td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#a4256531f55d7093373437ca1864115a5">mBuffer</a></td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#a4dfab7ef915235c4e3885054f0649c3e">mName</a></td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#a9de08a9989c25596cd55706376beaf06">mNormalsMap</a></td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#af23de51f107e8192583857cf230a574e">mTarget</a></td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#ae0965a04e0b5b5285e29b10e646561a0">mVertexOffsetMap</a></td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#a326485fc1f4fd6a07c4e21b0ddf165a3">NormalsIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#a77b417702362e8a351c220dd4deeaf80">NormalsMap</a> typedef</td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#a3cafdf6a9c77f21d06befd7a2f2dc89c">Pose</a>(ushort target, const String &amp;name=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#a139c78110101298ddde260277e0d38f1">removeVertex</a>(size_t index)</td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#aab53719cd5a035c0b5ca9301c9927a9a">VertexOffsetIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#a2508702f4d3791dc59ce9af8fdfa998e">VertexOffsetMap</a> typedef</td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pose.html#ac969f4336838560b56d2ad650f48595f">~Pose</a>()</td><td><a class="el" href="classOgre_1_1Pose.html">Ogre::Pose</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
